#ifndef BPROBIT_H_INCLUDED
#define BPROBIT_H_INCLUDED

#import <modelbase>

/*------------------ Bprobit : Modelbase -----------------*/
class Bprobit : Modelbase
{
    Bprobit();                               // constructor
    fProbit(const vP, const adFunc, const avScore, const amHess);
    virtual InitPar();             // initialize parameters
    virtual DoEstimation(vPar);        // do the maximation
    virtual Covar();  // compute variance-covariance matrix
};
/*----------------- END Bprobit : Modelbase --------------*/

#endif	// BPROBIT_H_INCLUDED
